<mat-radio-group class="radio-group">
  <button mat-raised-button [routerLink]="['/users']">
    <mat-icon>undo</mat-icon>
  </button>
  <mat-radio-button *ngFor="let stat of status" [value]="stat" (click)="getUserBookings(this.id, stat)">
    {{stat}}
  </mat-radio-button>
</mat-radio-group>



<div class="table mat-elevation-z8">
  <mat-table class="table-page" [dataSource]="dataSource">

    <ng-container matColumnDef="centerId">
      <mat-header-cell *matHeaderCellDef class="tabel-cell__number">
        centerId
      </mat-header-cell>
      <mat-cell *matCellDef="let row" class="tabel-cell__number"> {{ row.centerId }} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="amount">
      <mat-header-cell *matHeaderCellDef class="tabel-cell__number">
        amount
      </mat-header-cell>
      <mat-cell *matCellDef="let row" class="tabel-cell__number"> {{ row.amount }} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="city">
      <mat-header-cell *matHeaderCellDef>
        city
      </mat-header-cell>
      <mat-cell *matCellDef="let row"> {{ row.city }} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="status">
      <mat-header-cell *matHeaderCellDef>
        status </mat-header-cell>
      <mat-cell *matCellDef="let row"> {{ row.status }} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="created_at">
      <mat-header-cell *matHeaderCellDef>
        created_at
      </mat-header-cell>
      <mat-cell *matCellDef="let row"> {{ row.created_at | date:'medium'}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="endTime">
      <mat-header-cell *matHeaderCellDef>
        endTime
      </mat-header-cell>
      <mat-cell *matCellDef="let row"> {{ row.endTime | date:'medium'}} </mat-cell>
    </ng-container>

    <ng-container matColumnDef="data">
      <mat-footer-cell *matFooterCellDef colspan="4"> No data ... </mat-footer-cell>
    </ng-container>


    <mat-header-row *matHeaderRowDef="displayedColumns"></mat-header-row>
    <mat-row *matRowDef="let row; columns: displayedColumns;"></mat-row>
    <mat-footer-row *matFooterRowDef="['data']" [ngClass]="{'hide': !(dataSource.data.length == 0)}"></mat-footer-row>

  </mat-table>

  <mat-paginator [pageSizeOptions]="[5,10,15,25]" [pageSize]="10" showFirstLastButtons></mat-paginator>

</div>